Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
You are viewing documentation for Polymarket US
Sports configuration and team data
list()
GET /v1/sports
teams(params?)
GET /v1/sports/teams/provider
sports = client.sports.list() for sport in sports["sports"]: print(f"{sport['sport']} - Operational: {sport['isOperational']}")
sport
image
isOperational
automaticResolution
ordering
teams = client.sports.teams({ "provider": "PROVIDER_SPORTRADAR", "league": "NFL", }) for team in teams["teams"]: print(f"{team['name']} ({team['abbreviation']})") print(f" Conference: {team['conference']}") print(f" Record: {team['record']}")
provider
league
teamIds
PROVIDER_SPORTRADAR
PROVIDER_SPORTSDATAIO
id
name
abbreviation
conference
record
ranking
logo
colorPrimary